Daniel Grant | 30 Dec 12:18 2007
Picon

Compile error - AMD64 - FreeBSD6.2 - vqadmin 2.3.7

Hi all - I was hoping for some guidance with an error I get when trying 
to compile vqadmin 2.3.7 on a new server I have.

Its a FreeBSD6.2 box with 2gb RAM and AMD64 *2 - pretty much a base 
install with only perl and apache added from ports.  I have dual core 
CPU support enabled in the OS too.

This is what's happening...

gaia# ./configure --enable-cgibindir=/usr/local/www/apache22/cgi-bin 
--enable-htmldir=/www/mail
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/usr/downloads/vqadmin-2.3.7/missing: Unknown `--run' option
Try `/usr/downloads/vqadmin-2.3.7/missing --help' for more information
configure: WARNING: `missing' script is too old or missing
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking whether make sets $(MAKE)... yes
checking build system type... Invalid configuration 
`amd64-unknown-freebsd6.2': machine `amd64-unknown' not recognized
configure: error: /bin/sh ./config.sub amd64-unknown-freebsd6.2 failed

I was initially concerned about the 4th and 5th line re the missing 
scripts - however I get the same error on my old box and it doesn't 
affect the configure and make process.

Has anyone came across the "Invalid configuration 
`amd64-unknown-freebsd6.2': machine `amd64-unknown' not recognized" 
(Continue reading)

Daniel Grant | 30 Dec 12:40 2007
Picon

Re: Compile error - AMD64 - FreeBSD6.2 - vqadmin 2.3.7 [solved]

Daniel Grant wrote:
> Hi all - I was hoping for some guidance with an error I get when 
> trying to compile vqadmin 2.3.7 on a new server I have.
>
> Its a FreeBSD6.2 box with 2gb RAM and AMD64 *2 - pretty much a base 
> install with only perl and apache added from ports.  I have dual core 
> CPU support enabled in the OS too.
>
> This is what's happening...
>
> gaia# ./configure --enable-cgibindir=/usr/local/www/apache22/cgi-bin 
> --enable-htmldir=/www/mail
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> /usr/downloads/vqadmin-2.3.7/missing: Unknown `--run' option
> Try `/usr/downloads/vqadmin-2.3.7/missing --help' for more information
> configure: WARNING: `missing' script is too old or missing
> checking for gawk... no
> checking for mawk... no
> checking for nawk... nawk
> checking whether make sets $(MAKE)... yes
> checking build system type... Invalid configuration 
> `amd64-unknown-freebsd6.2': machine `amd64-unknown' not recognized
> configure: error: /bin/sh ./config.sub amd64-unknown-freebsd6.2 failed
>
>
> I was initially concerned about the 4th and 5th line re the missing 
> scripts - however I get the same error on my old box and it doesn't 
> affect the configure and make process.
>
(Continue reading)

james | 31 Dec 01:21 2007
Picon

Re: Compile error - AMD64 - FreeBSD6.2 - vqadmin 2.3.7 [solved]


Please remove me from this list!

James Habres

CCA Software Pty. Ltd.
Office   :  03 98940055
Mobile :  0411 606 334




Daniel Grant <daniel <at> britishemail.co.uk>

30/12/2007 10:40 PM

Please respond to
vqadmin <at> inter7.com

To
vqadmin <at> inter7.com
cc
Subject
Re: [vqadmin] Compile error - AMD64 - FreeBSD6.2 - vqadmin 2.3.7  [solved]





Daniel Grant wrote:
> Hi all - I was hoping for some guidance with an error I get when
> trying to compile vqadmin 2.3.7 on a new server I have.
>
> Its a FreeBSD6.2 box with 2gb RAM and AMD64 *2 - pretty much a base
> install with only perl and apache added from ports.  I have dual core
> CPU support enabled in the OS too.
>
> This is what's happening...
>
> gaia# ./configure --enable-cgibindir=/usr/local/www/apache22/cgi-bin
> --enable-htmldir=/www/mail
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> /usr/downloads/vqadmin-2.3.7/missing: Unknown `--run' option
> Try `/usr/downloads/vqadmin-2.3.7/missing --help' for more information
> configure: WARNING: `missing' script is too old or missing
> checking for gawk... no
> checking for mawk... no
> checking for nawk... nawk
> checking whether make sets $(MAKE)... yes
> checking build system type... Invalid configuration
> `amd64-unknown-freebsd6.2': machine `amd64-unknown' not recognized
> configure: error: /bin/sh ./config.sub amd64-unknown-freebsd6.2 failed
>
>
> I was initially concerned about the 4th and 5th line re the missing
> scripts - however I get the same error on my old box and it doesn't
> affect the configure and make process.
>
> Has anyone came across the "Invalid configuration
> `amd64-unknown-freebsd6.2': machine `amd64-unknown' not recognized"
> error before and found how to resolve it ?
>
> Any comments would be appreciated.
>
> Kind Regards
>
> Daniel
>
>
>

I just found this site - http://forum.qmailrocks.org/showthread.php?t=2693

A simple libtoolize --force did the trick.




!DSPAM:47783572310541706391132!
Mac Dearman | 31 Dec 03:25 2007

remove me please

Please remove me from this list.

 

 

Thanks

Mac Dearman

 

 

 

From: james <at> ccasoftware.com.au [mailto:james <at> ccasoftware.com.au]
Sent: Sunday, December 30, 2007 6:22 PM
To: vqadmin <at> inter7.com
Subject: Re: [vqadmin] Compile error - AMD64 - FreeBSD6.2 - vqadmin 2.3.7 [solved]

 


Please remove me from this list!

James Habres

CCA Software Pty. Ltd.
Office   :  03 98940055
Mobile :  0411 606 334



Daniel Grant <daniel <at> britishemail.co.uk>

30/12/2007 10:40 PM

Please respond to
vqadmin <at> inter7.com

To

vqadmin <at> inter7.com

cc

Subject

Re: [vqadmin] Compile error - AMD64 - FreeBSD6.2 - vqadmin 2.3.7  [solved]

 




Daniel Grant wrote:
> Hi all - I was hoping for some guidance with an error I get when
> trying to compile vqadmin 2.3.7 on a new server I have.
>
> Its a FreeBSD6.2 box with 2gb RAM and AMD64 *2 - pretty much a base
> install with only perl and apache added from ports.  I have dual core
> CPU support enabled in the OS too.
>
> This is what's happening...
>
> gaia# ./configure --enable-cgibindir=/usr/local/www/apache22/cgi-bin
> --enable-htmldir=/www/mail
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> /usr/downloads/vqadmin-2.3.7/missing: Unknown `--run' option
> Try `/usr/downloads/vqadmin-2.3.7/missing --help' for more information
> configure: WARNING: `missing' script is too old or missing
> checking for gawk... no
> checking for mawk... no
> checking for nawk... nawk
> checking whether make sets $(MAKE)... yes
> checking build system type... Invalid configuration
> `amd64-unknown-freebsd6.2': machine `amd64-unknown' not recognized
> configure: error: /bin/sh ./config.sub amd64-unknown-freebsd6.2 failed
>
>
> I was initially concerned about the 4th and 5th line re the missing
> scripts - however I get the same error on my old box and it doesn't
> affect the configure and make process.
>
> Has anyone came across the "Invalid configuration
> `amd64-unknown-freebsd6.2': machine `amd64-unknown' not recognized"
> error before and found how to resolve it ?
>
> Any comments would be appreciated.
>
> Kind Regards
>
> Daniel
>
>
>

I just found this site - http://forum.qmailrocks.org/showthread.php?t=2693

A simple libtoolize --force did the trick.




!DSPAM:4778542d310541323084576!
Alexandre Ouicher | 31 Dec 15:15 2007
Picon

[SPAM]

 
!DSPAM:4778f987310541942311302!

Gmane